Opened 3 years ago

Closed 2 years ago

#5447 closed feature request (wontfix)

please build GHC for Linux that links against libgmp.so.4 or libgmp.so.10 (libgmp 5)

Reported by: gatoatigrado Owned by:
Priority: normal Milestone:
Component: Compiler Version: 7.2.1
Keywords: Cc:
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: None/Unknown Difficulty:
Test Case: Blocked By:
Blocking: Related Tickets:

Description

The ghc-7.2.1-x86_64-unknown-linux.tar.bz2 download currently provided (http://www.haskell.org/ghc/download_ghc_7_2_1) links against libgmp.so.3 . OpenSuSE has libgmp.so.4 and libgmp.so.10, so linking against either of those would make installation a bit simpler. Thanks in advance!

ghc-7.2.1> ghc/stage2/build/tmp/ghc-stage2
ghc/stage2/build/tmp/ghc-stage2: error while loading shared libraries: libgmp.so.3: cannot open shared object file: No such file or directory

Change History (1)

comment:1 Changed 2 years ago by igloo

  • Resolution set to wontfix
  • Status changed from new to closed

The bindists are built on a Debian stable system, and unfortunately it is not possible to make them work everywhere. If they don't work on your distribution then you will need to either use binaries built for that distribution, or build from source.

Note: See TracTickets for help on using tickets.